<template>
	<view class="main-container">
		<view class="rank-btn" @click="goRank"></view>
		<view class="medal-btn" @click="goPassport"></view>
		<!-- <view class="process-text-container">
			<text class="process-text">{{process}}</text>/10000
		</view> -->
		<view class="home-btn" @click="goHome"></view>
		<view class="process-text-container">{{process}}</view>
		<!-- <view class="process-bar" :style="{width: barWidth}"></view> -->
		<view class="process-bar-new" :style="{width: barWidth}"></view>
		<view class="heart-btn">
			<button class="btn-share" open-type="share" @click="share"></button>
		</view>
		<view class="more-btn" @click="goResult"></view>
		<view class="mask-container" v-if="showMask">
			<view class="medal-noti-container">
				<view class="name-bar">{{userInfo.nickName}}：</view>
				<view class="close-btn" @click="closeMedalMask"></view>
				<view class="get-btn" @click="getMedalBtn"></view>
			</view>
		</view>
	</view>
</template>

<script>
export default {
	onLoad(option) {
	},
	mounted() {
		getApp().td_app_sdk.event({
			id: 'story-light',
			label: 'pv',
			params: {}
		});
	},
	data() {
		return {
			process: 0,
			showMask: true,
			userInfo: getApp().globalData.userInfo
		}
	},
	methods: {
		goHome() {
			getApp().td_app_sdk.event({
				id: 'story点亮页面返回主页',
				label: 'click'
			});
			uni.navigateTo({
				// url: '/pages/index/index'
				url: '/pages/list/list'
			})
		},
		goPassport() {
			getApp().td_app_sdk.event({
				id: 'story点亮页面我的勋章',
				label: 'click'
			});
			wx.request({
				url: getApp().globalData.baseUrl + 'api/access.php?a=userinfo',
				method: 'POST',
				header: {
					'content-type': 'application/x-www-form-urlencoded' //自定义请求头信息
				},
				data: {
					uid: getApp().globalData.uid
				},
				success: res => {
					console.log(res.data.data);
					wx.setStorageSync('gameInfo', res.data.data);
					uni.navigateTo({
						url: '/pages/userinfo/userinfo2'
					});
				}
			});
		},
		share() {
			getApp().td_app_sdk.event({
				id: 'story点亮页面爱心接力',
				label: 'click'
			});
		},
		goResult() {
			getApp().td_app_sdk.event({
				id: 'story点亮页面参与比赛',
				label: 'click'
			});
			uni.navigateTo({
				url: '/pages/dreamstory/result'
			})
		},
		goRank() {
			getApp().td_app_sdk.event({
				id: 'story点亮页面全国玩家排行榜',
				label: 'click'
			});
			uni.navigateTo({
				url: '/pages/mask/rank'
			})
		},
		closeMedalMask() {
			this.showMask = false
			getApp().td_app_sdk.event({
				id: 'story点亮页面关闭点亮勋章',
				label: 'click'
			});
			this.handleGetMedal();
		},
		getMedalBtn() {
			this.showMask = false;
			getApp().td_app_sdk.event({
				id: 'story点亮页面开心收下',
				label: 'click'
			});
			this.handleGetMedal();
		},
		handleGetMedal() {
			uni.showLoading({
				title: '点亮勋章中',
				mask: true
			});
			wx.request({
				url: getApp().globalData.baseUrl + 'api/access.php?a=getmedal',
				method: 'POST',
				header: {
					'content-type': 'application/x-www-form-urlencoded' //自定义请求头信息
				},
				data: {
					uid: getApp().globalData.uid,
					gamename: 'story'
				},
				success: res => {
					console.log('handleGetMedal success', res.data.data);
					uni.hideLoading();
					this.process = res.data.data.nownum
				},
				fail: err => {
					console.log('handleGetMedal fail', err);
					uni.hideLoading();
					uni.showToast({
						title: '服务器错误'
					});
				}
			});
		}
	},
	computed: {
		barWidth() {
			return this.process / 10000 * 650 + 'rpx'
		}
	},
	onShareAppMessage: function(res) {
		return {
			title: '穿越童梦奇缘 用童心制造快乐',
			path: 'pages/index/index',
			imageUrl: 'https://ikea-mrm.woaap.com/images/dreamstory/share.png'
		};
	},
}
</script>

<style lang="scss" scoped>
.main-container {
	width: 100%;
	height: 100vh;
	background-image: url('https://ikea-mrm.woaap.com/images/dreamstory/light-back.png');
	background-size: cover;
	background-position: center;
	background-repeat: no-repeat;
	position: relative;
}
.rank-btn {
	position: absolute;
	z-index: 1;
	right: 0;
	top: calc(50vh - 437rpx);
	width: 159rpx;
	height: 42rpx;
	// background-color: rgba(0, 0, 0, .7);
}
.medal-btn {
	position: absolute;
	z-index: 1;
	// left: calc((100vw - 231rpx) / 2 + 10rpx);
	left: calc((100vw - 231rpx) / 2);
	top: calc(50vh - 140rpx);
	width: 231rpx;
	height: 58rpx;
	// background-color: rgba(0, 0, 0, .7);
}
.home-btn {
	position: absolute;
	z-index: 1;
	left: 0;
	top: calc(50vh - 445rpx);
	width: 76rpx;
	height: 58rpx;
}
.process-text-container {
	position: absolute;
	z-index: 1;
	// right: 62rpx;
	right: 138rpx;
	top: calc(50vh + 278rpx);
	text-align: right;
	height: 28rpx;
	line-height: 28rpx;
	color: #ed6d81;
	font-size: 23rpx;
}
// .process-text {
// 	font-weight: normal;
// }
.process-bar {
	position: absolute;
	z-index: 1;
	height: 28rpx;
	left: 52rpx;
	top: calc(50vh + 311rpx);
	background-image: url('https://ikea-mrm.woaap.com/images/dreamstory/light-process-bar.png');
	background-size: 100% 100%;
	background-position: center;
	background-repeat: no-repeat;
}
.process-bar-new {
	position: absolute;
	z-index: 1;
	height: 19rpx;
	left: 60rpx;
	top: calc(50vh + 316rpx);
	background-image: url('https://ikea-mrm.woaap.com/images/dreamstory/light-process-bar-new.png');
	background-size: 100% 100%;
	background-position: center;
	background-repeat: no-repeat;
	border-radius: 14rpx;
}
.heart-btn {
	position: absolute;
	z-index: 1;
	left: 33rpx;
	top: calc(50vh + 388rpx);
	width: 331rpx;
	height: 98rpx;
	// background-color: rgba(0, 0, 0, .7);
}
.btn-share {
	width: 100%;
	height: 100%;
	background: none;
	border: 1rpx solid transparent;
	outline: none;
}
.btn-share::after {
	content: none;
	background: none;
	border: 1rpx solid transparent;
	outline: none;
}
.more-btn {
	position: absolute;
	z-index: 1;
	right: 34rpx;
	top: calc(50vh + 388rpx);
	width: 331rpx;
	height: 98rpx;
	// background-color: rgba(0, 0, 0, .7);
}
.mask-container {
	position: absolute;
	z-index: 2;
	width: 100vw;
	height: 100vh;
	background-color: rgba(0, 0, 0, .7);
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	align-items: center;
}
.medal-noti-container {
	position: relative;
	width: 721rpx;
	height: 856rpx;
	background-image: url('https://ikea-mrm.woaap.com/images/dreamstory/result-get-medal-back.png');
	background-size: cover;
	background-position: center;
	background-repeat: no-repeat;
}
.name-bar {
	position: absolute;
	z-index: 1;
	top: 433rpx;
	left: 232rpx;
	height: 30rpx;
	line-height: 30rpx;
	font-size: 28rpx;
	font-weight: bold;
	color: #333;
}
.close-btn {
	position: absolute;
	z-index: 1;
	top: calc(50% - 352rpx);
	right: 72rpx;
	width: 58rpx;
	height: 59rpx;
	// background-color: rgba(0, 0, 0, .7);
}
.get-btn {
	position: absolute;
	z-index: 1;
	top: calc(50% + 224rpx);
	left: calc((721rpx - 331rpx) / 2);
	width: 331rpx;
	height: 99rpx;
	// background-color: rgba(0, 0, 0, .7);
}
</style>
